%define version 0.3.2
%define release 1
%define name ipasserelle-listes

# Prevent .py bytecompile
%define __os_install_post %{nil}

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: iPasserelle mailing list module
Group: System Environment/Applications
License: GPLv3+
URL: http://www.ipasserelle.com
Source0: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: e-smith-devtools

Requires: ipasserelle-base
Requires: mailman
Requires: smeserver-phplist >= 0.2.0
Provides: smeserver-mailman
Obsoletes: smeserver-mailman

%description
iPasserelle module for the mailing list service
Includes (most of) smeserver-mailman

%changelog
* Mon Feb 22 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.3.2-1.sme
- Set empty rootpage setting and stop using /list suffix

* Thu Aug 7 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.3.1-1.sme
- Use /lists URL suffix for PHPList as it seems hardcoded somewhere

* Tue Jul 29 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.3.0-1.sme
- Merge smeserver-mailman, and obsolete it
- Requires phplist

* Sat Jun 9 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1.sme
- Build for noarch
- Migrate to GIT

* Mon Sep 12 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-1.sme
- Initial release

%prep
%setup -q

%build
perl ./createlinks
mkdir -p root/usr/lib/mailman/aliases
mkdir -p root/var/spool/mailman/qfiles
for dir in archive bounces commands in news out retry shunt virgin
do
    mkdir -p root/var/spool/mailman/qfiles/$dir
done

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --file '/usr/share/phplist/bin/setup-fr' 'attr(0755,root,root)' \
    --file '/var/service/mailman/qrunner' 'attr(0755,root,root)' \
    --file '/var/service/mailman/run' 'attr(0755,root,root)' \
    --dir  '/usr/lib/mailman' 'attr(02775,root,mailman)' \
    --dir  '/usr/lib/mailman/bin' 'attr(02775,root,mailman)' \
    --dir  '/var/spool/mailman' 'attr(02775,root,mailman)' \
    --dir  '/usr/lib/mailman/aliases' 'attr(02775,mailman,mailman)' \
    --file '/usr/lib/mailman/bin/post-install' 'attr(0755,root,mailman)' \
    --file '/usr/lib/mailman/bin/smelist' 'attr(04755,root,mailman)' \
    --dir  '/usr/lib/mailman/Mailman' 'attr(02775,root,mailman)' \
    --dir  '/usr/lib/mailman/Mailman/MTA' 'attr(02775,root,mailman)' \
    --file '/usr/lib/mailman/Mailman/MTA/SME.py' 'attr(02775,root,mailman)' \
    --dir  '/var/spool/mailman/qfiles' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/archive' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/bounces' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/commands' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/in' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/news' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/out' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/retry' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/shunt' 'attr(02770,mailman,mailman)' \
    --dir  '/var/spool/mailman/qfiles/virgin' 'attr(02770,mailman,mailman)' \
    $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-%{release}-filelist
# fixe for unwanted listed compiled python files
sed -i -e '/py[oc]$/d' %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/sbin/e-smith/create-system-user mailman 41 \
    "Mailman user" /usr/lib/mailman /bin/false

%post

%postun


